Subject: Re: [cfe-dev] cygwin updates (was: dladdr and Dl_info)
From: Eli Friedman <[email-masked]>
To: Reini Urban <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 14 Jan 2010 14:17:36 -0800
List-Id: <cygwin.cygwin.com>

On Thu, Jan 14, 2010 at 1:45 PM, Reini Urban <[email-masked]> wrote:
> Yaakov (Cygwin/X) schrieb:
>>
>> On 14/01/2010 14:20, Reini Urban wrote:
>>>
>>> I have a working cygwin llvm and llvm-gcc,
>>> but had no time to produce a proper package yet.
>>> Attached are my cygport files and my local config.
>>> No patches were needed.
>>>
>>> But I haven't bothered to build clang yet,
>>> just the Clang llvmc plugin and llvm-gcc,
>>> which I thought is harder to build and gives us more gcc compatibility.
>>
>> Here's what I have so far for llvm/clang 2.6; the .cygport may be
>> missing something, it's been a few weeks since I've looked at it.
>
> On the cygwin mailinglist we came to some required clang patches.
> http://cygwin.com/ml/cygwin/2010-01/msg00587.html
> Sorry, untested, as I got unrelated linker errors.

The change to tools/CIndex/CIndexer.cpp looks fine if it works.  The
change to tools/driver/driver.cpp isn't really right; the code really
needs to be refactored.  The changes to the non-C++ include paths in
lib/Frontend/InitHeaderSearch.cpp look a bit suspicious, but it's okay
anyway.  The change to lib/Headers/stddef.h is completely wrong; what
is it supposed to fix?

-Eli

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple